## org.Biocorba.Seqcore
Interface _AnonymousSeq_Operations

All Known Subinterfaces:
  _PrimarySeq_Operations, _Seq_Operations

All Known Implementing Classes:
  AnonymousSeqImpl

public interface _AnonymousSeq_Operations
extends _Unknown_Operations

Method Summary
`java.lang.String` `get_seq(org.omg.CORBA.portable.ObjectImpl anonymousSeq)`
`java.lang.String` `get_subseq(org.omg.CORBA.portable.ObjectImpl anonymousSeq, int start, int end)`
`int` `length(org.omg.CORBA.portable.ObjectImpl anonymousSeq)`
`int` `max_request_length(org.omg.CORBA.portable.ObjectImpl anonymousSeq)`
`SeqType` `type(org.omg.CORBA.portable.ObjectImpl anonymousSeq)`

Methods inherited from interface GNOME._Unknown_Operations
`query_interface, ref, unref`

Method Detail

### type

    public SeqType type(org.omg.CORBA.portable.ObjectImpl anonymousSeq)

### length

    public int length(org.omg.CORBA.portable.ObjectImpl anonymousSeq)

### get_seq

    public java.lang.String get_seq(org.omg.CORBA.portable.ObjectImpl anonymousSeq)
                             throws RequestTooLarge

### get_subseq

    public java.lang.String get_subseq(org.omg.CORBA.portable.ObjectImpl anonymousSeq,
                                       int start,
                                       int end)
                                throws OutOfRange,
                                       RequestTooLarge

### max_request_length

    public int max_request_length(org.omg.CORBA.portable.ObjectImpl anonymousSeq)